import { ClientAppContribution, CommandContribution, CommandRegistry, ComponentContribution, ComponentRegistry, IEditorExtensionContribution, KeybindingContribution, KeybindingRegistry, MonacoContribution, SlotRendererContribution, SlotRendererRegistry } from '@opensumi/ide-core-browser';
import { BrowserEditorContribution, IEditorFeatureRegistry } from '@opensumi/ide-editor/lib/browser';
import { ISettingRegistry, SettingContribution } from '@opensumi/ide-preferences';
export declare class AINativeBrowserContribution implements ClientAppContribution, BrowserEditorContribution, CommandContribution, SettingContribution, KeybindingContribution, ComponentContribution, SlotRendererContribution, MonacoContribution {
    private readonly injector;
    private appConfig;
    private readonly contributions;
    private readonly inlineChatFeatureRegistry;
    private readonly chatFeatureRegistry;
    private readonly chatRenderRegistry;
    private readonly resolveConflictRegistry;
    private readonly renameCandidatesProviderRegistry;
    private readonly terminalProviderRegistry;
    private readonly aiNativeService;
    private readonly aiNativeConfigService;
    private readonly designLayoutConfig;
    private aiCompletionsService;
    private readonly aiInlineCompletionsProvider;
    private readonly commandService;
    private readonly preferenceService;
    private readonly layoutService;
    private readonly chatProxyService;
    constructor();
    initialize(): void;
    registerEditorExtensionContribution(register: IEditorExtensionContribution<any[]>): void;
    onDidStart(): void;
    private registerFeature;
    registerSetting(registry: ISettingRegistry): void;
    registerEditorFeature(registry: IEditorFeatureRegistry): void;
    registerCommands(commands: CommandRegistry): void;
    registerRenderer(registry: SlotRendererRegistry): void;
    registerComponent(registry: ComponentRegistry): void;
    registerKeybindings(keybindings: KeybindingRegistry): void;
}
//# sourceMappingURL=ai-core.contribution.d.ts.map