import { Disposable, IDisposable, IEventBus } from '@opensumi/ide-core-common';
import { IEditor, IEditorFeatureContribution } from '@opensumi/ide-editor/lib/browser';
import * as monaco from '@opensumi/ide-monaco';
import { MonacoTelemetryService } from '@opensumi/ide-monaco/lib/browser/telemetry.service';
import { LanguageParserService } from './languages/service';
export declare class AIEditorContribution extends Disposable implements IEditorFeatureContribution {
    private readonly injector;
    private readonly aiNativeConfigService;
    private readonly aiInlineChatService;
    private readonly aiNativeService;
    private readonly loggerManagerClient;
    private readonly preferenceService;
    private readonly ctxMenuRenderer;
    private readonly inlineChatFeatureRegistry;
    private readonly aiReporter;
    private readonly contributions;
    private readonly aiInlineCompletionsProvider;
    private readonly renameSuggestionService;
    private aiCompletionsService;
    protected eventBus: IEventBus;
    protected languageParserService: LanguageParserService;
    monacoTelemetryService: MonacoTelemetryService;
    private latestMiddlewareCollector;
    private logger;
    constructor();
    private aiDiffWidget;
    private aiInlineContentWidget;
    private aiInlineChatDisposed;
    private aiInlineChatOperationDisposed;
    private modelSessionDisposable;
    private disposeAllWidget;
    contribute(editor: IEditor): IDisposable;
    protected contributeInlineCompletionFeature(editor: IEditor): void;
    protected contributeInlineChatFeature(editor: IEditor): void;
    shouldAbortRequest(model: monaco.ITextModel): boolean;
    protected inlineChatInUsing: boolean;
    protected showInlineChat(editor: IEditor): Promise<void>;
    private runInlineChatAction;
    private handleDiffPreviewStrategy;
    private resetDiffEnvironment;
    private extractAnswerFromResponse;
    private formatAnswer;
    private visibleDiffWidget;
    private updateInlineContentWidgetPosition;
    private registerLanguageFeatures;
    lastModelRequestRenameEndTime: number | undefined;
    lastModelRequestRenameSessionId: string | undefined;
    protected contributeRenameFeature(languageId: string): IDisposable;
    protected contributeCodeActionFeature(languageId: string, editor: IEditor): IDisposable;
    dispose(): void;
}
//# sourceMappingURL=ai-editor.contribution.d.ts.map