import { Disposable, Event } from '@opensumi/ide-core-common';
import { IHistoryChatMessage } from '@opensumi/ide-core-common/lib/types/ai-native';
import { IChatMessageStructure } from '../../common';
export declare class ChatService extends Disposable {
    private msgHistoryManager;
    private mainLayoutService;
    private readonly _onChatMessageLaunch;
    readonly onChatMessageLaunch: Event<IChatMessageStructure>;
    private readonly _onChatReplyMessageLaunch;
    readonly onChatReplyMessageLaunch: Event<string>;
    constructor();
    /**
     * 显示聊天视图
     */
    showChatView(): void;
    sendMessage(data: IChatMessageStructure): void;
    clearHistoryMessages(): void;
    /**
     * 主动以 ai role 的身份回复消息
     */
    sendReplyMessage(data: string): void;
    getHistoryMessages(): IHistoryChatMessage[];
}
//# sourceMappingURL=chat.api.service.d.ts.map