import { PreferenceService } from '@opensumi/ide-core-browser';
import { Disposable, Event, IAIBackService } from '@opensumi/ide-core-common';
import { ChatModel, ChatRequestModel } from './chat-model';
/**
 * @internal
 */
export declare class ChatInternalService extends Disposable {
    #private;
    aiBackService: IAIBackService;
    protected preferenceService: PreferenceService;
    private chatManagerService;
    private readonly _onChangeRequestId;
    readonly onChangeRequestId: Event<string>;
    private _latestRequestId;
    get latestRequestId(): string;
    get sessionModel(): ChatModel;
    constructor();
    setLatestRequestId(id: string): void;
    createRequest(input: string, agentId: string, command?: string): ChatRequestModel | undefined;
    sendRequest(request: ChatRequestModel, regenerate?: boolean): Promise<void>;
    cancelRequest(): void;
    clearSessionModel(): void;
    dispose(): void;
}
//# sourceMappingURL=chat.internal.service.d.ts.map