"use strict";
var _ChatInternalService_sessionModel;
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatInternalService = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const ide_core_common_1 = require("@opensumi/ide-core-common");
const common_1 = require("../../common");
const chat_manager_service_1 = require("./chat-manager.service");
/**
 * @internal
 */
let ChatInternalService = class ChatInternalService extends ide_core_common_1.Disposable {
    get latestRequestId() {
        return this._latestRequestId;
    }
    get sessionModel() {
        return tslib_1.__classPrivateFieldGet(this, _ChatInternalService_sessionModel, "f");
    }
    constructor() {
        super();
        this._onChangeRequestId = new ide_core_common_1.Emitter();
        this.onChangeRequestId = this._onChangeRequestId.event;
        _ChatInternalService_sessionModel.set(this, void 0);
        tslib_1.__classPrivateFieldSet(this, _ChatInternalService_sessionModel, this.chatManagerService.startSession(), "f");
    }
    setLatestRequestId(id) {
        this._latestRequestId = id;
        this._onChangeRequestId.fire(id);
    }
    createRequest(input, agentId, command) {
        return this.chatManagerService.createRequest(tslib_1.__classPrivateFieldGet(this, _ChatInternalService_sessionModel, "f").sessionId, input, agentId, command);
    }
    sendRequest(request, regenerate = false) {
        return this.chatManagerService.sendRequest(tslib_1.__classPrivateFieldGet(this, _ChatInternalService_sessionModel, "f").sessionId, request, regenerate);
    }
    cancelRequest() {
        this.chatManagerService.cancelRequest(tslib_1.__classPrivateFieldGet(this, _ChatInternalService_sessionModel, "f").sessionId);
    }
    clearSessionModel() {
        this.chatManagerService.clearSession(tslib_1.__classPrivateFieldGet(this, _ChatInternalService_sessionModel, "f").sessionId);
        tslib_1.__classPrivateFieldSet(this, _ChatInternalService_sessionModel, this.chatManagerService.startSession(), "f");
    }
    dispose() {
        var _a;
        (_a = tslib_1.__classPrivateFieldGet(this, _ChatInternalService_sessionModel, "f")) === null || _a === void 0 ? void 0 : _a.dispose();
        super.dispose();
    }
};
_ChatInternalService_sessionModel = new WeakMap();
tslib_1.__decorate([
    (0, di_1.Autowired)(ide_core_common_1.AIBackSerivcePath),
    tslib_1.__metadata("design:type", Object)
], ChatInternalService.prototype, "aiBackService", void 0);
tslib_1.__decorate([
    (0, di_1.Autowired)(ide_core_browser_1.PreferenceService),
    tslib_1.__metadata("design:type", Object)
], ChatInternalService.prototype, "preferenceService", void 0);
tslib_1.__decorate([
    (0, di_1.Autowired)(common_1.IChatManagerService),
    tslib_1.__metadata("design:type", chat_manager_service_1.ChatManagerService)
], ChatInternalService.prototype, "chatManagerService", void 0);
ChatInternalService = tslib_1.__decorate([
    (0, di_1.Injectable)(),
    tslib_1.__metadata("design:paramtypes", [])
], ChatInternalService);
exports.ChatInternalService = ChatInternalService;
//# sourceMappingURL=chat.internal.service.js.map