"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SlashCustomRender = void 0;
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const ide_core_common_1 = require("@opensumi/ide-core-common");
const index_1 = require("../../common/index");
// slash command 自定义渲染组件
const SlashCustomRender = (props) => {
    const { userMessage, relationId, requestId, renderContent, startTime } = props;
    const aiChatService = (0, ide_core_browser_1.useInjectable)(index_1.IChatInternalService);
    const aiReporter = (0, ide_core_browser_1.useInjectable)(ide_core_common_1.IAIReporter);
    React.useEffect(() => {
        aiChatService.setLatestRequestId(requestId);
        aiReporter.end(relationId, {
            message: userMessage,
            replytime: Date.now() - startTime,
            success: true,
            isStop: false,
        });
    }, [renderContent, requestId, relationId]);
    return React.createElement("div", null, renderContent({ userMessage }));
};
exports.SlashCustomRender = SlashCustomRender;
//# sourceMappingURL=SlashCustomRender.js.map