/// <reference types="react" />
import { ITextMessageProps } from 'react-chat-elements';
import { ChatMessageRole } from '@opensumi/ide-core-common/lib/types/ai-native';
import { IChatReplyFollowup, ISampleQuestions } from '../../common/index';
export interface MessageData extends Pick<ITextMessageProps, 'id' | 'position' | 'className' | 'title'> {
    role: ChatMessageRole;
    relationId: string;
    className?: string;
    text: string | React.ReactNode;
}
type AIMessageData = Omit<MessageData, 'role' | 'position' | 'title'>;
type UserMessageData = Omit<MessageData, 'role' | 'position' | 'title'>;
export declare const createMessageByUser: (message: UserMessageData, className?: string) => {
    type: string;
    className: string;
    role: ChatMessageRole;
    relationId: string;
    text: string | React.ReactNode;
    id: string | number;
    title: string;
    position: string;
};
export declare const createMessageByAI: (message: AIMessageData, className?: string) => {
    type: string;
    className: string;
    role: ChatMessageRole;
    relationId: string;
    text: string | React.ReactNode;
    id: string | number;
    title: string;
    position: string;
};
export declare const extractIcon: (question: IChatReplyFollowup) => ISampleQuestions;
export {};
//# sourceMappingURL=utils.d.ts.map