"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AINativeModule = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const ide_core_common_1 = require("@opensumi/ide-core-common");
const common_1 = require("../common");
const ai_core_contribution_1 = require("./ai-core.contribution");
const ai_native_service_1 = require("./ai-native.service");
const terminal_ai_contributon_1 = require("./ai-terminal/terminal-ai.contributon");
const terminal_feature_registry_1 = require("./ai-terminal/terminal.feature.registry");
const chat_agent_service_1 = require("./chat/chat-agent.service");
const chat_agent_view_service_1 = require("./chat/chat-agent.view.service");
const chat_manager_service_1 = require("./chat/chat-manager.service");
const chat_proxy_service_1 = require("./chat/chat-proxy.service");
const chat_api_service_1 = require("./chat/chat.api.service");
const chat_feature_registry_1 = require("./chat/chat.feature.registry");
const chat_internal_service_1 = require("./chat/chat.internal.service");
const chat_render_registry_1 = require("./chat/chat.render.registry");
const interface_navigation_contribution_1 = require("./interface-navigation/interface-navigation.contribution");
const service_1 = require("./languages/service");
const merge_conflict_1 = require("./merge-conflict");
const merge_conflict_feature_registry_1 = require("./merge-conflict/merge-conflict.feature.registry");
const rename_feature_registry_1 = require("./rename/rename.feature.registry");
const types_1 = require("./types");
const inline_chat_feature_registry_1 = require("./widget/inline-chat/inline-chat.feature.registry");
const inline_chat_service_1 = require("./widget/inline-chat/inline-chat.service");
let AINativeModule = class AINativeModule extends ide_core_browser_1.BrowserModule {
    constructor() {
        super(...arguments);
        this.contributionProvider = types_1.AINativeCoreContribution;
        this.providers = [
            ai_core_contribution_1.AINativeBrowserContribution,
            interface_navigation_contribution_1.InterfaceNavigationContribution,
            terminal_ai_contributon_1.TerminalAIContribution,
            merge_conflict_1.MergeConflictContribution,
            {
                token: ide_core_browser_1.InlineChatFeatureRegistryToken,
                useClass: inline_chat_feature_registry_1.InlineChatFeatureRegistry,
            },
            {
                token: ide_core_browser_1.ChatFeatureRegistryToken,
                useClass: chat_feature_registry_1.ChatFeatureRegistry,
            },
            {
                token: ide_core_browser_1.ChatRenderRegistryToken,
                useClass: chat_render_registry_1.ChatRenderRegistry,
            },
            {
                token: ide_core_browser_1.ResolveConflictRegistryToken,
                useClass: merge_conflict_feature_registry_1.ResolveConflictRegistry,
            },
            {
                token: common_1.IAINativeService,
                useClass: ai_native_service_1.AINativeService,
            },
            {
                token: ide_core_browser_1.IAIInlineChatService,
                useClass: inline_chat_service_1.AIInlineChatService,
            },
            {
                token: common_1.IChatManagerService,
                useClass: chat_manager_service_1.ChatManagerService,
            },
            {
                token: common_1.IChatAgentService,
                useClass: chat_agent_service_1.ChatAgentService,
            },
            {
                token: ide_core_browser_1.ChatAgentViewServiceToken,
                useClass: chat_agent_view_service_1.ChatAgentViewService,
            },
            {
                token: common_1.IChatInternalService,
                useClass: chat_internal_service_1.ChatInternalService,
            },
            {
                token: common_1.ChatProxyServiceToken,
                useClass: chat_proxy_service_1.ChatProxyService,
            },
            {
                token: ide_core_browser_1.ChatServiceToken,
                useClass: chat_api_service_1.ChatService,
            },
            {
                token: ide_core_browser_1.RenameCandidatesProviderRegistryToken,
                useClass: rename_feature_registry_1.RenameCandidatesProviderRegistry,
            },
            {
                token: ide_core_common_1.TerminalRegistryToken,
                useClass: terminal_feature_registry_1.TerminalFeatureRegistry,
            },
            {
                token: service_1.LanguageParserService,
                useClass: service_1.LanguageParserService,
            },
        ];
        this.backServices = [
            {
                servicePath: ide_core_browser_1.AIBackSerivcePath,
                token: ide_core_browser_1.AIBackSerivceToken,
                clientToken: common_1.ChatProxyServiceToken,
            },
        ];
    }
};
AINativeModule = tslib_1.__decorate([
    (0, di_1.Injectable)()
], AINativeModule);
exports.AINativeModule = AINativeModule;
//# sourceMappingURL=index.js.map