"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LanguageParserService = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const parser_1 = require("./parser");
const language_facts_1 = require("./tree-sitter/language-facts");
let LanguageParserService = class LanguageParserService {
    constructor() {
        this.pool = new Map();
    }
    createParser(language) {
        const treeSitterLang = language_facts_1.parserNameMap[language];
        if (treeSitterLang) {
            if (!this.pool.has(treeSitterLang)) {
                this.pool.set(treeSitterLang, this.injector.get(parser_1.LanguageParser, [treeSitterLang]));
            }
            return this.pool.get(treeSitterLang);
        }
    }
    dispose() {
        this.pool.forEach((parser) => parser.dispose());
        this.pool.clear();
    }
};
tslib_1.__decorate([
    (0, di_1.Autowired)(di_1.INJECTOR_TOKEN),
    tslib_1.__metadata("design:type", di_1.Injector)
], LanguageParserService.prototype, "injector", void 0);
LanguageParserService = tslib_1.__decorate([
    (0, di_1.Injectable)()
], LanguageParserService);
exports.LanguageParserService = LanguageParserService;
//# sourceMappingURL=service.js.map