"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeScriptLanguageFacts = exports.typescriptBlockTypes = void 0;
/**
 * typescript 中表示代码块的节点类型
 */
exports.typescriptBlockTypes = [
    'function',
    'function_declaration',
    'function_expression',
    'arrow_function',
    'class_declaration',
    'interface_declaration',
    'method_definition',
    'method_signature',
    'enum_declaration',
    'type_alias_declaration',
    'lexical_declaration',
    'if_statement',
    'switch_case',
    'while_statement',
    'do_statement',
    'for_statement',
    'for_in_statement',
    'for_of_statement',
    'try_statement',
    'catch_clause',
    'block',
    'module',
    'public_field_definition',
    'private_field_definition',
    'export_statement',
];
const blockSet = new Set(exports.typescriptBlockTypes);
class TypeScriptLanguageFacts {
    constructor() {
        this.name = 'typescript';
        this.listCommentStyle = '// ';
        this.blockCommentStyle = {
            start: '/**',
            end: ' */',
            linePrefix: ' * ',
        };
    }
    provideCodeBlocks() {
        return blockSet;
    }
    isCodeBlock(type) {
        return blockSet.has(type);
    }
}
exports.TypeScriptLanguageFacts = TypeScriptLanguageFacts;
//# sourceMappingURL=typescript.js.map