import { ClientAppContribution } from '@opensumi/ide-core-browser';
import { CancellationTokenSource, CommandContribution, CommandRegistry, Disposable, Event, IRange, MaybePromise, MergeConflictRT } from '@opensumi/ide-core-common';
import * as monaco from '@opensumi/ide-monaco';
import { IConflictActionsEvent } from '@opensumi/ide-monaco/lib/browser/contrib/merge-editor/types';
import { IMergeEditorShape } from '@opensumi/ide-monaco/lib/browser/contrib/merge-editor/widget/types';
import { ICodeEditor } from '@opensumi/ide-monaco/lib/browser/monaco-api/editor';
interface IRequestCancel {
    id: string;
    type: 'cancel';
}
export declare class MergeConflictContribution extends Disposable implements CommandContribution, ClientAppContribution, IMergeEditorShape {
    private readonly injector;
    private readonly logger;
    private readonly editorService;
    private readonly eventBus;
    private readonly aiNativeConfigService;
    private readonly conflictParser;
    private readonly mergeConflictReportService;
    private readonly resolveConflictRegistry;
    private resolveResultWidgetManager;
    private stopWidgetManager;
    private cancelIndicatorMap;
    private cacheResolvedConflicts;
    private readonly _onRequestCancel;
    readonly onRequestCancel: Event<IRequestCancel>;
    private readonly _onRequestsCancel;
    readonly onRequestsCancel: Event<IRequestCancel[]>;
    editor: ICodeEditor;
    private loadingRange;
    private currentReportMap;
    private decorationId2Dispose;
    private decorationId2Range;
    dispose(): void;
    onDidStart(): MaybePromise<void>;
    private initListenEvent;
    private init;
    get reportData(): Partial<MergeConflictRT>;
    set reportData(data: Partial<MergeConflictRT>);
    private reportConflictData;
    private updateReportData;
    getAllDiffRanges(): IRange[];
    updateAllWidgets(): void;
    private getModel;
    private getUri;
    private getCacheResolvedConflicts;
    private deleteCacheResolvedConflicts;
    private setCacheResolvedConflict;
    private resetCacheResolvedConflicts;
    private toLineRange;
    renderSkeletonDecoration(range: IRange, classNames: string[]): () => void;
    registerCommands(commands: CommandRegistry): void;
    private contribute;
    provideCodeLens(document: monaco.editor.ITextModel, _token: monaco.CancellationToken): Promise<monaco.languages.CodeLens[] | null>;
    private conflictAIAccept;
    private resolveEndLineEOL;
    private acceptAllConflict;
    private registerCodeLensProvider;
    private requestAIResolveConflict;
    createRequestToken(id: string): CancellationTokenSource;
    hideResolveResultWidget(id?: string): void;
    hideStopWidget(id?: string): void;
    cancelRequestToken(id?: string): void;
    launchConflictActionsEvent(eventData: Omit<IConflictActionsEvent, 'withViewType'>): void;
    private cleanAllCache;
    private cleanWidget;
    private cleanDecoration;
    private updateCodeLensDebounce;
    /**
     * 刷新 codelens
     */
    private updateCodeLens;
}
export {};
//# sourceMappingURL=index.d.ts.map