import React from 'react';
import { Event } from '@opensumi/ide-core-browser';
import { ICodeEditor } from '@opensumi/ide-monaco';
import * as monaco from '@opensumi/ide-monaco';
import { ZoneWidget } from '@opensumi/monaco-editor-core/esm/vs/editor/contrib/zoneWidget/browser/zoneWidget';
export declare class InlineDiffWidget extends ZoneWidget {
    protected id: string;
    private configContext;
    private readonly _onMaxLineCount;
    readonly onMaxLineCount: Event<number>;
    private range;
    private modifiedValue;
    private root;
    private diffWidgetHandler;
    private resultContainer;
    hiddenArea: monaco.languages.IRange;
    protected _fillContainer(container: HTMLElement): void;
    computeResultWidgetWidth(): number;
    _onWidth(widthInPixel: number): void;
    getModifiedValue(): string;
    constructor(id: string, editor: ICodeEditor, selection: monaco.IRange, modifiedValue: string, hiddenArea?: monaco.IRange);
    protected revealRange(range: monaco.Range, isLastLine: boolean): void;
    setContainerStyle(style: {
        [key in string]: string;
    }): void;
    addClassName(type: string): this;
    dispose(): void;
    hide(): void;
    /**
     *
     * @param line 视图区域的起始行号
     * @param heightInLines 视图区域的高度（以行数表示）
     */
    showByLine(line: number, heightInLines?: number): void;
    protected _resolveResultWidget: React.ReactElement | null;
    setResolveResultWidget(widget: React.ReactElement): void;
}
//# sourceMappingURL=inline-diff-widget.d.ts.map